# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

source /etc/network/interfaces.d/*

# The loopback network interface
auto lo
iface lo inet loopback

# The primary network interface
allow-hotplug {{ ansible_default_ipv4.interface }}
auto {{ ansible_default_ipv4.interface }}
iface {{ ansible_default_ipv4.interface }} inet static
	address {{ hostvars[inventory_hostname].ansible_host }}/{{ hostvars[inventory_hostname].network.subnet }}
	gateway {{ hostvars[inventory_hostname].network.gateway }}
	dns-nameservers {{ hostvars[inventory_hostname].network.dns | join(' ') }}
